AOZ Studio Beta - Bug #264

Flash compiles, but does not function.
02/28/2020 03:11 PM - Brian Flanagan

Status: New Start date: 02/28/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta RC2

Description

Example: The 2nd bar (white) should be flashing (fading white to black)

#manifest: "amiga"
#speed: "safe"
Screen Open 0,320,200,32,Lowres
Flash 2, " (FFF,2) (DDD, 2) (BBB,2) (999,2) (777,2) (555,2) (333,2) (111,2) (000,2) (333,2) (555,2) (777,2) (999,
2) (BBB, 2) (DDD, 2)"
Get Fonts : Set Font 6
P=0 : Cls P : Pen O
For P=1 To 31

Paper P

Ink P

Bar P*10,0 To P*10+9,199
Next P

v

' Label the first 9 bars.

v

For P=0 To 9

S$=Str$(P) : S$=Right$ (S$,Len(S$)-1)
Ink 9,P : Text P*10,10,S$

Next P

History

#1 - 03/02/2020 02:13 AM - Brian Flanagan
- Affected version changed from 0.9.5.1 to 0.9.6

Changed affected version to 0.9.6 (from 0.9.5.1). Problem still exists.
Modified example to simple black & white flashing.

#manifest: "amiga"
#speed: "safe"
Screen Open 0,320,200,32,Lowres
Flash 2," (FFF,20) (000,20)"
Get Fonts : Set Font 6
P=0 : Cls P : Pen O
For P=1 To 31

Paper P

Ink P

Bar P*10,0 To P*10+9,199
Next P

' Label the first 10 bars.

For P=0 To 9

S$=Str$ (P) : SS$=Right$(S$,Len(S$)-1)
Ink 9,P : Text P*10,10,S$
Next P

#2 - 04/19/2020 09:55 PM - Brian Flanagan

Re-tested in 0.9.8.1. Still fails, but worse. Now it won't compile, since Get Fonts causes an Internal Error . (This worked before!)
#3 - 04/19/2020 09:56 PM - Brian Flanagan
- Affected version changed from 0.9.6 to 0.9.8.1

#4 - 09/21/2020 07:59 AM - Brian Flanagan
- Estimated time set to 2:00 h
- Affected version changed from 0.9.8.1 to Beta RC2

Still Fails on both the Get Fonts and the flashing error.
Fails in both Amiga and AOZ manifests. NOT Amiga-specific.

#5 - 05/07/2023 01:18 PM - malcolm harvey
- File Screenshot_2023-05-07_at_9.08.53_am.png added

No errors now...
It does look as though its fading to black ok now when code runs (flash), no? Or should it achieve also something else?
Flash 2,"(FFF,2)(DDD,2)(BBB,2)(999,2)(777,2)(555,2)(333,2)(111,2)(000,2)(333,2)(555,2)(777,2)(999,2)(BBB,2)(DDD, 2)"

Daves notes though on the subject...

'The bottom line with that one is, until we have an Amiga specific renderer and screen class, flash is never going to work like it did on the Amiga on a
true colour screen'.

Files

Screenshot_2023-05-07_at_9.08.53_am.png 157 KB 05/07/2023 malcolm harvey
